#include "lisp.h"
#include "read.h"

#include <string.h>

int main(int argc, const char **argv) {
    lisp_init();
    char buffer[] = "1";
    LispVal *tv;
    size_t count = read_from_buffer(buffer, sizeof(buffer) - 1, &tv);
    lisp_ref(tv);
    printf("Read %zu chars\n", count);
    printf("Type: %s\n", OBJ_TYPE_NAME(tv));
    debug_dump(stdout, tv, true);
    UNREF_INPLACE(tv);
    lisp_shutdown();
    return 0;
}
